Error when running dada2 in atacama soil tutorial

Hello,

I am running through the Atacama soil microbiome tutorial and have come across an error when I get the denoising step with dada2. I followed all the earlier steps exactly as written (for the 10% subsample data). I am running QIIME 2 Core - 2020.2 in Virtualbox.

The command I am trying to run is:

qiime dada2 denoise-paired
–i-demultiplexed-seqs demux.qza
–p-trim-left-f 13
–p-trim-left-r 13
–p-trunc-len-f 150
–p-trunc-len-r 150
–o-table table.qza
–o-representative-sequences rep-seqs.qza
–o-denoising-stats denoising-stats.qza

Running the command with the ‘–verbose’ flag I get this error:

Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpii6vfpq3/forward /tmp/tmpii6vfpq3/reverse /tmp/tmpii6vfpq3/output.tsv.biom /tmp/tmpii6vfpq3/track.tsv /tmp/tmpii6vfpq3/filt_f /tmp/tmpii6vfpq3/filt_r 150 150 13 13 2.0 2.0 2 consensus 1.0 1 1000000

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.3 / RcppParallel: 4.4.4

  1. Filtering .
  2. Learning Error Rates
    1507 total bases in 11 reads from 1 samples will be used for learning the error rates.
    1507 total bases in 11 reads from 1 samples will be used for learning the error rates.
  3. Denoise remaining samples .
  4. Remove chimeras (method = consensus)
    Error in isBimeraDenovoTable(unqs[[i]], …, verbose = verbose) :
    Input must be a valid sequence table.
    Calls: removeBimeraDenovo -> isBimeraDenovoTable
    Execution halted
    Traceback (most recent call last):
    File “/home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 257, in denoise_paired
    run_commands([cmd])
    File “/home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/subprocess.py”, line 418, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmpii6vfpq3/forward’, ‘/tmp/tmpii6vfpq3/reverse’, ‘/tmp/tmpii6vfpq3/output.tsv.biom’, ‘/tmp/tmpii6vfpq3/track.tsv’, ‘/tmp/tmpii6vfpq3/filt_f’, ‘/tmp/tmpii6vfpq3/filt_r’, ‘150’, ‘150’, ‘13’, ‘13’, ‘2.0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/site-packages/q2cli/commands.py”, line 328, in call
results = action(**arguments)
File “</home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/site-packages/decorator.py:decorator-gen-455>”, line 2, in denoise_paired
File “/home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 245, in bound_callable
output_types, provenance)
File “/home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 390, in callable_executor
output_views = self._callable(**view_args)
File “/home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 272, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

See above for debug info.

1 Like

Hi @capy - can you confirm - were you using the 10% subsample data, or were you using your own dataset? Thanks!

I am using the 10% subsample data.

Thanks @capy!

I'm a little confused about this line:

That line says that the data you used only has one sample in it (with only 11 reads!), but when we download and process the 10% data, you'll see there should be 74 samples in the dataset:

(thanks @Oddant1 for the screenshot!)

Is there any chance you accidentally mixed up input files? You can check the provenance by loading at view.qiime2.org and inspecting the "Provenance" tab, there.

Thanks!

PS - in general, the error here

happens when none of the reads are able to successfully be joined (merged) by DADA2 - there are several factors involved, including target region, sequencing technology, and trim/trunc params. Using the 10% atacama data, with the settings suggested in the tutorial do no appear to produce those results in our test runs. Feel free to send a download link to your input files if you still are encountering this issue - thanks!

You are right, after reading your question I went back to check again and I did mix up input files. I knew it would be a silly thing like this, thank you for the help!

2 Likes

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.